Range-v3 Range algorithms, views, and actions for the Standard Library |

Variables
concepts.hpp File Reference

## Variables
template<typename T >
concept | ranges::container
template<typename T >
concept | ranges::container__concept_ = constructible_from< uncvref_t<T>, detail::movable_input_iterator<range_value_t<T>>, detail::movable_input_iterator<range_value_t<T>>>
template<typename T >
concept | ranges::lvalue_container_like
template<typename T >
concept | ranges::lvalue_container_like__concept_ = implicitly_convertible_to<detail::is_lvalue_container_like_t<T>, std::true_type>
template<typename C >
concept | ranges::random_access_reservable
template<typename C >
concept | ranges::reservable__requires_
template<typename C , typename I >
concept | ranges::reservable_with_assign__requires_
template<typename T >
concept | ranges::semi_container